C API Functions

## udbReferenceScope

### Description

Return the scope entity of the specified reference. This is the entity that is performing the reference.

### Syntax

     #include "udb/udb.h"
     UdbEntity  udbReferenceScope(UdbReference ref)

### Arguments

Argument | description
UdbReference ref | Specified reference

### Return Values

Return Value | description
UdbEntity | Return the scope entity (the entity that is performing the reference).

### Example Usage

     refscope = udbReferenceScope(ref);

### See Also

udbReferenceEntity to get the entity being referenced.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com